• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[MAGISK] [MODULE] Webview Manager

Search This thread

androidacy

Senior Member
Apr 1, 2019
180
159
www.androidacy.com
Welcome to the XDA home of Webview Manager by Androidacy
Adobe_Post_20210202_0013340.8277657334196729.png


Read about it on our blog:​

What is this?

This magisk module allows to install several webviews and browsers, replacing the stock one with more privacy friendly/better performing browser and/or webview. By default this module will install Bromite.

Can I use older versions?​

No.

Why use different webview or default browser?

These webviews are de-googled or more privacy friendly, or just more updated, or better optimized. Because it's better than Google or AOSP webview.

Why not other methods?

These usually involve directly modifying system and are less versatile and more incompatible. In addition, thanks to auto updates and dynamic system detection, you know you get the right files without extra bloat.

Systemful install

Systemful install is not supported and we currenly have no plans to change that.

Configuration

Configuration is done during install, thanks to @Zackptg5 magnificent Volume-Keys selector with a touch of our own spice.

Getting support

Zip /sdcard/WebviewManager/logs, and send along with detailed description of the issue including device name, ROM, and Android version.

Links

Website and blog is at https://www.androidacy.com
Donations are here
Beta/alphas: see zips link
ZIPs: click me
Telegram: Androidacy Discussions
Discord: Available to Patrons. See our donation link above.
Magisk repo: here
 
Last edited:

gorillus

Member
Jan 15, 2014
30
6
Not sure, if this is relates to your module. I installed the module, but in developer settings, where I can choose the webview engine, bromite is greyed and it is written, it is not active for the user "me"... What should I do? I am on Linage for MicroG 15.1
 
  • Like
Reactions: hacker812c

clcombs262

Senior Member
Oct 16, 2018
256
148
Monticello
Not sure, if this is relates to your module. I installed the module, but in developer settings, where I can choose the webview engine, bromite is greyed and it is written, it is not active for the user "me"... What should I do? I am on Linage for MicroG 15.1
disable chrome

It's a preferred webview package and will be used no matter what if installed
 
  • Like
Reactions: SGH-i200

gorillus

Member
Jan 15, 2014
30
6
disable chrome

It's a preferred webview package and will be used no matter what if installed

Well it was kind of the opposite. I disabled the default webview (Lineage OS) and installed the Bromite Module afterwards. Now I re-enabled webview, which was no longer the default, but Bromite. So it works, if you don't disable default webview, because Bromite is a replacement. Never had chrome installed btw.
 

JohnWrick

Senior Member
Jan 24, 2018
98
29
Butwal
Problem is the version is kept anonymous.

So there is no easier way to find what version of Bromite u r flashing.

No details in Magisk module, nothing.

I mean, I know u can't keep the browser up-to-date, but that doesn't mean, u need to hide it too. It dumb thing to do.
 

clcombs262

Senior Member
Oct 16, 2018
256
148
Monticello
Problem is the version is kept anonymous.

So there is no easier way to find what version of Bromite u r flashing.

No details in Magisk module, nothing.

I mean, I know u can't keep the browser up-to-date, but that doesn't mean, u need to hide it too. It dumb thing to do.
We don't hide anything; the app version is easily found under app info

Sent from my Moto Z3 Play using XDA Labs
 
  • Like
Reactions: wong.izzat

clcombs262

Senior Member
Oct 16, 2018
256
148
Monticello
anyway to exclude the actual bromite webview from the zip and script it detect architecture and download correct version and install as system since the filesize is awfully large 150mb+!? i guess that'd make it only work in magisk manager and not twrp flash.
It was chosen to do it this way because the last attempted way broke versions 1.4-2.0, we just aimed for a stable version

Thanks for the feedback though, we'll definitely consider it in v3.0

Sent from my Moto Z3 Play using XDA Labs
 
Last edited:
  • Like
Reactions: DvineLord

Doom Slayer

Senior Member
Jan 16, 2011
565
1,049
Mars
Weird, I installed this module on Xz premium (stock pie) but it's not showing in selection of webviews, in developer settings ,not there at all.
I use Google-free Chinese version with NanoDroid installed.

I don't think it's module problem, it appears in list of system apps,but system doesn't recognise it as Webview.
Edit: just tried to push apk into system, results are the same.

Theoretically if I repack apk with the same name as android Webview maybe system will recognise it.
 
Last edited:

tecnicaemail

Member
Sep 17, 2017
13
0
São Paulo
Good evening, first friend, excuse my English, I use Google translator! I installed on my Xiaomi S2 Android 9 Miui10 and everything OK. Only application that gave bad was OLX. Reminding friends that I installed Magisk and used the Titanium backup to freeze the Google View.
 

skymera

Senior Member
Mar 28, 2010
798
179
Not working on the few AOSP / LOS ROMs for the OnePlus 3 I've tried.
Module installs but there's no Bromite webview under developer options
 

JohnWrick

Senior Member
Jan 24, 2018
98
29
Butwal
Anyway I have to uinstall it because I couldn't open Gmail and other apps behaved bad, i.e exit itself.

Waited few days, rebooted but nothing worked.

Device: 1+5, Magisk, Twrp, Oxygen Os Latest
 

Top Liked Posts

  • There are no posts matching your filters.
  • 48
    Welcome to the XDA home of Webview Manager by Androidacy
    Adobe_Post_20210202_0013340.8277657334196729.png


    Read about it on our blog:​

    What is this?

    This magisk module allows to install several webviews and browsers, replacing the stock one with more privacy friendly/better performing browser and/or webview. By default this module will install Bromite.

    Can I use older versions?​

    No.

    Why use different webview or default browser?

    These webviews are de-googled or more privacy friendly, or just more updated, or better optimized. Because it's better than Google or AOSP webview.

    Why not other methods?

    These usually involve directly modifying system and are less versatile and more incompatible. In addition, thanks to auto updates and dynamic system detection, you know you get the right files without extra bloat.

    Systemful install

    Systemful install is not supported and we currenly have no plans to change that.

    Configuration

    Configuration is done during install, thanks to @Zackptg5 magnificent Volume-Keys selector with a touch of our own spice.

    Getting support

    Zip /sdcard/WebviewManager/logs, and send along with detailed description of the issue including device name, ROM, and Android version.

    Links

    Website and blog is at https://www.androidacy.com
    Donations are here
    Beta/alphas: see zips link
    ZIPs: click me
    Telegram: Androidacy Discussions
    Discord: Available to Patrons. See our donation link above.
    Magisk repo: here
    6
    It's back in the repository, now with official support from the Bromite team!!
    6
    Ok guys sorry I haven't logged in for awhile, been kinda busy
    The short of it is that as far as I know currently, no other webview besides Google supports Q. In addition, the way webview is handled changed on Q

    So although there have been updates, none have made it to stable because I'd like to tackle Q compatibility in the next release. However, if no upstream support is added by end of year I'll push current fixes anyway

    In addition to the poster who is complaining about "all devices" -if you read the README (which actually I need to update with the status of Q)* it specify only 7.0-9.0 ROMs are supported

    However if you really want to see support for your device enhanced, you really need to join my telegram group, https://t.me/inlmagisk so I can get feedback and provide betas

    So yeah. Been a little busy lately with life, and waiting on upstream support. Not dead yet ;)

    Sent from my Pixel 2 XL using Tapatalk
    6
    We're excited to be releasing version 3.1

    Sorry for the massive bug introduced in v3.0 but 3.1 is confirmed working on AOSP, RR, LOS, and OOS (needs testing). For some reason, appropriate directory was not getting copied over

    Changelog:
    • Fixed installer and boot scripts (finally!)
    • Reduced file size by downloading external resources separate
    • Attempt to support more webview installation scenarios
    5
    Good news everyone!

    V4 is live in the Magisk repo, with all stock compatibility fixes

    A clean flash is highly recommended for proper functionality of the module